package io.renren.modules.sys.dao.dataset;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.sys.entity.dataset.DataSet;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface DataSetMapper extends BaseMapper<DataSet> {
    int deleteByPrimaryKey(Long datasetId);

    int insert(DataSet record);

    int insertSelective(DataSet record);

    DataSet selectByPrimaryKey(Long datasetId);

    int updateByPrimaryKeySelective(DataSet record);

    int updateByPrimaryKey(DataSet record);
}